Can't administer users: Content Encoding Error

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
Guy Clements
Registered User
Posts: 14
Joined: Sun Mar 05, 2017 12:17 am
Name: Guy

Re: Can't administer users: Content Encoding Error

Post by Guy Clements »

I have a similar problem but I get no error displayed while trying to access the ACP. I can access the MCP with no issue and the board appears to have updated cleanly. I updated from 3.2.0 to 3.3.0.

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21911
Joined: Fri Aug 29, 2008 9:49 am
Location: Watching cricket.

Re: Can't administer users: Content Encoding Error

Post by Mick »

Please start your own topic by first filling out the Support Request Template and post it back in your new topic to enable us to assist you better.
"The more connected we get the more alone we become" - Kyle Broflovski

Guy Clements
Registered User
Posts: 14
Joined: Sun Mar 05, 2017 12:17 am
Name: Guy

Re: Can't administer users: Content Encoding Error

Post by Guy Clements »

Will do - I only added because it sounded like the same issue.

User avatar
Mick
Support Team Member
Support Team Member
Posts: 21911
Joined: Fri Aug 29, 2008 9:49 am
Location: Watching cricket.

Re: Can't administer users: Content Encoding Error

Post by Mick »

It’s very rare that any two issues are the same, the error may be but there are just too many combinations of installations and there’s no such thing as coincidence, thanks.
"The more connected we get the more alone we become" - Kyle Broflovski

User avatar
warmweer
Jr. Extension Validator
Posts: 3631
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Can't administer users: Content Encoding Error

Post by warmweer »

As per Mick:
The problem on your board could seem the same but the cause could be completely different.
Also:
Guy Clements wrote:
Thu Jan 16, 2020 4:51 pm
I updated from 3.2.0 to 3.3.0.
doesn't say much e.g. how did you update? (that little bit of info could already point to a possible solution).
Hence the need for the SRT.
We should embrace problems, without which there wouldn't be any solutions.

snipershady
Registered User
Posts: 7
Joined: Tue Aug 19, 2008 12:29 pm

Re: Can't administer users: Content Encoding Error

Post by snipershady »

I've tested the problem with xdebug and enabling display_error
There are no PHP error reported by Xdebug
and no error in httpd/error.log

when I go to edit a profile

Code: Select all

adm/index.php?i=users&mode=overview&sid=.....
with mod security enabled
i got this error inside logs

Code: Select all

 ModSecurity: Warning. Matched phrase "</b> on line <b>" at RESPONSE_BODY. [file "/usr/share/modsecurity-crs/rules/RESPONSE-953-DATA-LEAKAGES-PHP.conf"] [line "49"] [id "953100"] [rev "3"] [msg "PHP Information Leakage"] [data "Matched Data: </b> on line <b> found within RESPONSE_BODY: <b>[phpBB Debug] PHP Warning</b>: in file <b>[ROOT]/phpbb/language/language.php</b> on line <b>313</b>: <b>vsprintf(): Too few arguments</b><br />\\x0a\\x1f\\x8b\\x08\\x00\\x00\\x00\\x00\\x00\\x00\\x03\\xcc\\x1c\\xdbr\\xdb6\\xf6Y\\xfa\\x0a\\x84\\x9d\\xb1\\xec\\xd4\\xa2$;\\xb1k[R\\xd6\\xcd\\xa5\\xe3N\\x92z\\xeb\\xdev\\xd2\\x8c\\x07$A\\x09\\x09I0 (\\xc7\\xdevf\\x7fc\\xff`\\x1f\\xf6/\\xfa'\\xfb%{\\x0e\\x00\\xdet\\xb3\\x93\\xa6\\xb1=\\xd3\\x88\\x04\\x81s\\xc3\\xc1\\xb9\\x01\\xe8\\xf0\\xde\\x93\\xef\\x1e\\xff\\xf0\\x8f..."] [severity "ERROR"] [ver "OWASP_CRS/3.1.0"] [maturity "9"] [accuracy "9"] [tag "application-multi"] [tag "language-php"] [tag "platform-multi"] [tag "attack-disclosure"] [tag "OWASP_CRS/LEAKAGE/ERRORS_PHP"] [tag "WASCTC/WASC-13"] [tag "OWASP_TOP_10/A6"] [tag "PCI/6.5.6"] [hostname "www.XXXXXXXXXXX.com"] [uri "/forum/adm/index.php"] [unique_id "XiIasrLu4mEAADDN3kQAAAAA"]
 

I would like to remind that with 3.2.9 it was working fine with the same PHP configuration

User avatar
3Di
Former Team Member
Posts: 14747
Joined: Mon Apr 04, 2005 11:09 pm
Location: Milan (IT) Frankfurt (DE)
Name: Marco
Contact:

Re: Can't administer users: Content Encoding Error

Post by 3Di »

Have you old language packs not up to date with phpBB 3.3.0?
Please PM me only to request paid works. Thx.
Want to compensate me for my interest? Donate
My development's activity º PhpStorm's proud user
Extensions, Scripts, MOD porting, Update/Upgrades
:studio_microphone: Premium extensions @ The Studio

User avatar
EA117
Registered User
Posts: 1253
Joined: Wed Aug 15, 2018 3:23 am
Contact:

Re: Can't administer users: Content Encoding Error

Post by EA117 »

Neat, a mod_security rule intending to block PHP errors from being present in the web server response. So if you get a PHP warning or error reported "anywhere", mod_security interrupts that and blocks the response entirely. (Well, blocks it and returns "something", which apparently results in "content encoding error." Only a LAN trace could perhaps confirm exactly what is returned, but it's not really that important.)

Agreed 100% with 3Di that the "otherwise 'normal' PHP warning" that occurred and triggered this mod_security rule looks like the kind of issues phpBB 3.3.0 users have seen when continuing to use non-phpBB 3.3.0 language packs.

snipershady
Registered User
Posts: 7
Joined: Tue Aug 19, 2008 12:29 pm

Re: Can't administer users: Content Encoding Error

Post by snipershady »

Yes! It was the language pack. My language (italian) is not updated for 3.3.0
I've set with last 3.3.0 british. It works perfectly

Post Reply

Return to “[3.3.x] Support Forum”